@import "src/stylesheets/modules/colors";

input:not([type="checkbox"]):not([type="radio"]):not([type="button"]):not([type="submit"]):not([type="reset"]),
select {
    appearance: none;
    outline: none;
    border: 0.0625rem solid #cfd8dc;
    background: white;
    line-height: 2.25rem;
    box-sizing: border-box;
    height: 2.5rem;
    padding: 0 1.25rem;
    border-radius: 1.25rem;
    font-size: 0.85rem;

    &:focus, &:hover {
        border-color: lighten(desaturate($color-accent, 50%), 20%);
    }

    &:active {
        border-color: lighten(desaturate($color-accent, 40%), 10%);
    }
}

select {
    cursor: pointer;
    padding-right: 2rem;
    background: {
        image: url('/static/images/select-arrow.svg');
        repeat: no-repeat;
        position: calc(100% - 1rem) center;
        size: 0.5rem;
    }
}

input[type="checkbox"] {
    appearance: none;
    display: inline-block;
    vertical-align: middle;
    margin: -0.25rem 0.5rem 0 0;
    width: 1.125rem;
    height: 1.125rem;
    background: none;
    outline: none;
    border: {
        style: solid;
        width: 0.125rem;
        color: $color-main;
        radius: 0.125rem;
    }

    &:checked {
        background: {
            image: url('/static/images/check.svg');
            repeat: no-repeat;
            size: 1rem;
            position: center center;
            color: $color-main
        }
    }
}
